<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('users', function (Blueprint $table) {
            $table->date('date_of_birth')->nullable();
            $table->string('sex')->default('unknown');
            $table->string('physical_activity_level')->default('sedentary');
            $table->string('weight_goal')->default('lose_weight');
            $table->string('pace_preference')->default('slow');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('users', function (Blueprint $table) {
            $table->dropColumn([
                'date_of_birth',
                'sex',
                'physical_activity_level',
                'weight_goal',
                'pace_preference',
            ]);
        });
    }
};
